//---------------------------------------------------------------------------------------------------------------------------------
// Module/file name: IO48XPTest.cpp
// Module Description: IO48XPTest Application implementation file
// Creation date: 11/17/07
// Author/s: George Hennessee
// Executable program name: IO48XPTest.exe
// Executable program type: Windows 2K/XP Application
//
// NOTE: This source code is written assuming a 132-character line width. For decent readability select font, page width, page
//       orientation, etc. to yield a 132-character unbroken line on your word processor screen. Be aware that any saving of this
//       source code file must be in TEXT ONLY format (no embedded codes) to avoid choking the C compiler. - GH
// Revision History:
//    Date      Release Rev    Author    Description
//  --------    -----------    ------    --------------------------------------------------------------------------------
//  11/19/07       1.00          GH      Original release
//
//              ******************************** COPYRIGHT NOTICE AND DISCLAIMER ********************************
//   This source file is Copyright 2007 by WinSystems, Inc., Arlington, Texas. All rights reserved. This file is provided 'as-is'
//   and WinSystems makes no warranty as to usability of this code. Disclosure or use of this code except as provided below is
//   strictly prohibited. Refer to the WinSystems Hardware/Software Sales Agreement for other terms and conditions that may apply.
//---------------------------------------------------------------------------------------------------------------------------------

#include "stdafx.h"
#include "IO48XPTest.h"
#include "IO48XPTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIO48XPTestApp

BEGIN_MESSAGE_MAP(CIO48XPTestApp, CWinApp)
	//{{AFX_MSG_MAP(CIO48XPTestApp)
		// NOTE - the ClassWizard will add and remove mapping macros here.
		//    DO NOT EDIT what you see in these blocks of generated code!
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIO48XPTestApp construction

CIO48XPTestApp::CIO48XPTestApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CIO48XPTestApp object

CIO48XPTestApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CIO48XPTestApp initialization

BOOL CIO48XPTestApp::InitInstance()
{
	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	//  of your final executable, you should remove from the following
	//  the specific initialization routines you do not need.

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	CIO48XPTestDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
