//---------------------------------------------------------------------------------------------------------------------------------
// Module/file name: IO48XPTest.h
// Module Description: IO48XPTest Application main header file
// Creation date: 11/17/07
// Author/s: George Hennessee
// Executable program name: IO48XPTest.exe
// Executable program type: Windows 2K/XP Application
//
// NOTE: This source code is written assuming a 132-character line width. For decent readability select font, page width, page
//       orientation, etc. to yield a 132-character unbroken line on your word processor screen. Be aware that any saving of this
//       source code file must be in TEXT ONLY format (no embedded codes) to avoid choking the C compiler. - GH
// Revision History:
//    Date      Release Rev    Author    Description
//  --------    -----------    ------    --------------------------------------------------------------------------------
//  11/19/07       1.00          GH      Original release
//
//              ******************************** COPYRIGHT NOTICE AND DISCLAIMER ********************************
//   This source file is Copyright 2007 by WinSystems, Inc., Arlington, Texas. All rights reserved. This file is provided 'as-is'
//   and WinSystems makes no warranty as to usability of this code. Disclosure or use of this code except as provided below is
//   strictly prohibited. Refer to the WinSystems Hardware/Software Sales Agreement for other terms and conditions that may apply.
//---------------------------------------------------------------------------------------------------------------------------------

#if !defined(AFX_IO48XPTEST_H__243FB632_5CAE_4AF1_AEA3_5038C765D9F3__INCLUDED_)
#define AFX_IO48XPTEST_H__243FB632_5CAE_4AF1_AEA3_5038C765D9F3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols

// GTH - This SOFTWARE_DEBUG must be undefined if you want to build a fully-functional executable!!!!
//#define SOFTWARE_DEBUG 1

/////////////////////////////////////////////////////////////////////////////
// CIO48XPTestApp:
// See IO48XPTest.cpp for the implementation of this class
//

class CIO48XPTestApp : public CWinApp
{
public:
	CIO48XPTestApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIO48XPTestApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CIO48XPTestApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IO48XPTEST_H__243FB632_5CAE_4AF1_AEA3_5038C765D9F3__INCLUDED_)
